---
updatedAt: 2025-06-09T15:58:37.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/v4.0/llms.txt
---

# getPassengersByFlight

This method will give you a list of passengers according to a flight number and date

> 📘 **Important**
>
> You can search up to 10 flights at a time

## Request parameters

| Parameter       | Type     | Description                                                                  |
| --------------- | -------- | ---------------------------------------------------------------------------- |
| shownonticketed | Boolean  | true/false (lowercase), will show the non ticketed bookings if set to true   |
| flightnumber    | String\* | The flight number requested                                                  |
| flightdate      | Date\*   | The flight date requested                                                    |
| generatetokens  | Boolean  | If you would like to generate PAX tokens for the check-in system queries API |
| showcancelled   | Boolean  | If you would like to see cancelled bookings in the call                      |
| showinfants     | Boolean  | Send as true if you want to get infant data along with the adult data        |
| showbaggages    | Boolean  | Send as true if you want to get the pieces of baggage                        |

> ❗️ \* Mandatory parameters

## Response

The method will response with all the information about the passengers in the requested flights.

| Parameter                      | Type      | Description                                                                             |
| ------------------------------ | --------- | --------------------------------------------------------------------------------------- |
| **Flight Information**         |           |                                                                                         |
| flight                         | Element   | The following parameters are within flight (The element flight will be for each flight) |
| flightid                       | Number    | The flight id                                                                           |
| flightnumber                   | String    | Flight number requested                                                                 |
| flightdate                     | Date      | YYYY/MM/DD date of the flight                                                           |
| serviceload                    | Number    | Will be displayed per flight                                                            |
| opsremark                      | String    | Flight OPS remark                                                                       |
| **Passenger Details**          |           |                                                                                         |
| paxDetails                     | Container | All the information regarding the passenger                                             |
| firstname                      | String    | First name of the passenger                                                             |
| lastname                       | String    | Last name of the passenger                                                              |
| age                            | Number    | Age of the passenger                                                                    |
| paxtitle                       | String    | The title of the passenger                                                              |
| paxwithinfant                  | Boolean   | Is the passenger carrying infant                                                        |
| paxcountry                     | String    | Country of the passenger                                                                |
| paxcountryiso                  | String    | Passenger ISO country                                                                   |
| fromdestination                | String    | Destination "from" code                                                                 |
| todestination                  | String    | Destination "To" code                                                                   |
| **PNR Information**            |           |                                                                                         |
| pnrref                         | String    | The PNR reference                                                                       |
| pnrstatus                      | String    | The PNR status (OK/PN/RQ)                                                               |
| pnrname                        | String    | PNR name                                                                                |
| servicestatus                  | String    | Service status (Active / Cancelled)                                                     |
| servicebookingdate             | Date      | YYYY/MM/DD HH:MM - Service booking date                                                 |
| servicechangedate              | Date      | YYYY/MM/DD HH:MM - Service last change date (if cancelled)                              |
| pnrbookingdate                 | Date      | YYYY/MM/DD HH:MM - PNR booking date                                                     |
| **Agency Information**         |           |                                                                                         |
| agencyname                     | String    | Agency name (if the booking is from an agency)                                          |
| agencycontact                  | String    | The first contact in the agency                                                         |
| agencyphone                    | String    | Agency phone number                                                                     |
| agencycode                     | String    | Agency code                                                                             |
| agencyaccountingcode           | String    | Agency accounting code                                                                  |
| **Class and Seat Information** |           |                                                                                         |
| classcode                      | String    | Class code                                                                              |
| seat                           | String    | Seat name                                                                               |
| sequencenumber                 | String    | Check-in sequence number                                                                |
| status                         | String    | Passenger check-in status                                                               |
| **Passenger Identification**   |           |                                                                                         |
| paxtoken                       | String    | PAX token to be used in DCS related queries                                             |
| paxunq                         | String    | Identifier of the passenger                                                             |
| paxtype                        | String    | The title of the passenger                                                              |
| **Flight Connections**         |           |                                                                                         |
| inboundflight                  | String    | Flight number of inbound flight                                                         |
| inboundflightorigin            | String    | The origin of the inbound flight                                                        |
| outboundflight                 | String    | Flight number of outbound flight                                                        |
| outboundflightdestination      | String    | The destination of the outbound flight                                                  |
| **Accommodation**              |           |                                                                                         |
| accommodationfrom              | String    | Accommodation from name (if exist)                                                      |
| accommodationto                | String    | Accommodation to name (if exist)                                                        |
| **Aircraft Information**       |           |                                                                                         |
| tailnumber                     | String    | The tail number                                                                         |
| **Frequent Flyer Program**     |           |                                                                                         |
| ffnumber                       | Number    | Frequent flyer number                                                                   |
| fflevel                        | String    | Frequent Flyer member degree level                                                      |
| fftotalawarded                 | Number    | Amount of awarded points of the frequent flyer member                                   |
| fftotalstatus                  | Number    | Amount of status points of the frequent flyer member                                    |
| fftotalbonus                   | Number    | Amount of bonus points of the frequent flyer member                                     |
| **Contact Information**        |           |                                                                                         |
| phonenumber                    | String    | Passenger phone number                                                                  |
| email                          | String    | Passenger E-mail                                                                        |
| **Ticketing**                  |           |                                                                                         |
| eticketnumber                  | Number    | identifier number of the passenger                                                      |
| **Notes and Remarks**          |           |                                                                                         |
| notes                          | String    | Check-in sequence number                                                                |
| remarks                        | Container | The container will hold PNR remarks in several `<remark>` variables                     |
| **Special Service Requests**   |           |                                                                                         |
| ssrs                           | Container | The container will hold PNR SSR's in several `<ssr>` variables                          |
| ssr                            | Container | The SSR name                                                                            |
| **Baggage Information**        |           |                                                                                         |
| allowances                     | Container | The container will hold a single bag\_kg variable                                       |
| bag\_kg                        | Number    | Allowed baggage weight (according to origin)                                            |
| baggagescheckin                | Container | The container will hold all the baggages                                                |
| baggage                        | Container | The container will hold the pieces of baggage                                           |
| weight                         | Number    | The weight                                                                              |
| massunit                       | String    | The mass unit                                                                           |
| baggagetag                     | String    | The baggage tag                                                                         |
| cow                            | Boolean   | Carry-on weight (true/false)                                                            |
| **Ancillary Services**         |           |                                                                                         |
| ancillaries                    | Container | The container will hold PNR ancillaries in several `<ancillary>` variables              |
| ancillary                      | Container | The ancillary name                                                                      |
| **APIS Data**                  |           |                                                                                         |
| apisdata                       | Container | Advance API Information                                                                 |
| nationality                    | String    | ISO code of the passenger                                                               |
| type                           | String    | Type of identification document (PASSPORT as default)                                   |
| passportname                   | String    | Passport holder name                                                                    |
| docnumber                      | String    | Number of document (passport number, I.D. number)                                       |
| passportissuer                 | String    | ISO code of the passport issuer                                                         |
| passportexpiry                 | Date      | Date of expiry                                                                          |
| gender                         | String    | Gender (M-Male, F-Female, C-Child)                                                      |
| dateofbirth                    | Date      | Passenger date of birth                                                                 |
| visanumber                     | String    | Number of the visa                                                                      |
| visaexpiry                     | Date      | Date of passport/ID expiry                                                              |
| paxgender                      | String    | Gender (M-Male, F-Female, C-Child)                                                      |
| **Infant Information**         |           |                                                                                         |
| infantDetails                  | Container | An object containing infant data that will be listed below                              |
| firstname                      | String    | First name of infant                                                                    |
| lastname                       | String    | Last name of infant                                                                     |
| dateofbirth                    | Date      | Infant date of birth                                                                    |
| docnumber                      | String    | Infant document number                                                                  |
| passportexpiry                 | Date      | Infant's doc expiry                                                                     |
| country                        | String    | Same as paxcountry                                                                      |
| countryISO                     | String    | Same as paxcountryiso                                                                   |
| passportissuer                 | String    | Same as passportissuer for passengers                                                   |
| weight                         | Number    | Passenger weight                                                                        |
| **Error Handling**             |           |                                                                                         |
| error                          | String    | Will show incase the flight searched does not exist                                     |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs",
    "version": "4.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v4"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getPassengersByFlight": {
      "post": {
        "summary": "getPassengersByFlight",
        "description": "This method will give you a list of passengers according to a flight number and date",
        "operationId": "getpassengersbyflight",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "JSON": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "shownonticketed": false,
                        "generatetokens": false,
                        "flights": {
                          "flight": [
                            {
                              "flightnumber": "100",
                              "flightdate": "2018/06/29"
                            },
                            {
                              "flightnumber": "A304",
                              "flightdate": "2018/06/30"
                            }
                          ]
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n\t\"aerocrs\": {\n\t\t\"success\": true,\n\t\t\"flight\": [{\n\t\t\t\t\"flightnumber\": \"100\",\n\t\t\t\t\"flightid\": 2242667,\n\t\t\t\t\"flightdate\": \"2018/06/29\",\n\t\t\t\t\"serviceload\": 45,\n\t\t\t\t\"opsremark\": \"Service remark\",\n\t\t\t\t\"paxDetails\": [{\n\t\t\t\t\t\"firstname\": \"JOHN\",\n\t\t\t\t\t\"lastname\": \"SMITH\",\n\t\t\t\t\t\"age\": 0,\n\t\t\t\t\t\"paxtitle\": \"Mr.\",\n\t\t\t\t\t\"paxwithinfant\": false,\n\t\t\t\t\t\"paxcountry\": \"Andorra\",\n\t\t\t\t\t\"paxcountryiso\": \"AD\",\n\t\t\t\t\t\"fromdestination\": \"DAR\",\n\t\t\t\t\t\"todestination\": \"ZNZ\",\n\t\t\t\t\t\"pnrref\": \"205CBCD\",\n\t\t\t\t\t\"pnrstatus\": \"OK\",\n\t\t\t\t\t\"pnrname\": \"32\",\n\t\t\t\t\t\"servicestatus\": \"Active\",\n\t\t\t\t\t\"servicebookingdate\": \"2018/05/22 10:28\",\n\t\t\t\t\t\"servicechangedate\": \"2018/05/22 10:28\",\n\t\t\t\t\t\"pnrbookingdate\": \"2018/05/22 10:28\",\n\t\t\t\t\t\"agencyname\": \"\",\n\t\t\t\t\t\"agencybranch\": null,\n\t\t\t\t\t\"agencycontact\": \"\",\n\t\t\t\t\t\"agencyphone\": \"\",\n\t\t\t\t\t\"agencycode\": null,\n\t\t\t\t\t\"agencyaccountingcode\": null,\n\t\t\t\t\t\"classcode\": \"Y\",\n\t\t\t\t\t\"paxtoken\": \"1B4C04F7-7A25-46DD-BA4F-78F176234F11\",\n\t\t\t\t\t\"paxunq\": \"9870199-2242667\",\n\t\t\t\t\t\"inboundflight\": null,\n\t\t\t\t\t\"inboundflightorigin\": null,\n\t\t\t\t\t\"outboundflight\": null,\n\t\t\t\t\t\"outboundflightdestination\": null,\n\t\t\t\t\t\"accommodationfrom\": null,\n\t\t\t\t\t\"accommodationto\": null,\n\t\t\t\t\t\"remarks\": null,\n\t\t\t\t\t\"paxtype\": \"ADT\",\n\t\t\t\t\t\"seat\": \"\",\n\t\t\t\t\t\"sequencenumber\": \"00001\",\n\t\t\t\t\t\"tailnumber\": \"433S\",\n\t\t\t\t\t\"status\": \"checked-in\",\n\t\t\t\t\t\"ffnumber\": 0,\n\t\t\t\t\t\"phonenumber\": \"\",\n\t\t\t\t\t\"email\": \"\",\n\t\t\t\t\t\"eticketnumber\": 6157471,\n\t\t\t\t\t\"ticketstatus\": true,\n\t\t\t\t\t\"notes\": null,\n\t\t\t\t\t\"ssrs\": null,\n\t\t\t\t\t\"allowances\": {\n\t\t\t\t\t\t\"bag_kg\": 20\n\t\t\t\t\t},\n\t\t\t\t\t\"ancillaries\": null,\n\t\t\t\t\t\"apisdata\": {\n\t\t\t\t\t\t\"nationality\": \"AD\",\n\t\t\t\t\t\t\"type\": \"PASSPORT\",\n\t\t\t\t\t\t\"passportname\": \"John Smith\",\n\t\t\t\t\t\t\"docnumber\": \"32132132\",\n\t\t\t\t\t\t\"passportissuer\": \"AF\",\n\t\t\t\t\t\t\"passportexpiry\": \"2021/02/28\",\n\t\t\t\t\t\t\"gender\": \"M\",\n\t\t\t\t\t\t\"dateofbirth\": null\n\t\t\t\t\t},\n\t\t\t\t\t\"paxgender\": \"M\"\n\t\t\t\t}]\n\t\t\t},\n\t\t\t{\n\t\t\t\t\"flightnumber\": \"A304\",\n\t\t\t\t\"flightid\": 2236024,\n\t\t\t\t\"flightdate\": \"2018/06/30\",\n\t\t\t\t\"serviceload\": 110,\n\t\t\t\t\"opsremark\": \"Service remark\",\n\t\t\t\t\"paxDetails\": [{\n\t\t\t\t\t\"firstname\": \"RAZ\",\n\t\t\t\t\t\"lastname\": \"NAGAR\",\n\t\t\t\t\t\"age\": 0,\n\t\t\t\t\t\"paxtitle\": \"Mr.\",\n\t\t\t\t\t\"paxwithinfant\": false,\n\t\t\t\t\t\"paxcountry\": \"Israel\",\n\t\t\t\t\t\"paxcountryiso\": \"IL\",\n\t\t\t\t\t\"fromdestination\": \"TLV\",\n\t\t\t\t\t\"todestination\": \"MAD\",\n\t\t\t\t\t\"pnrref\": \"20B8D03\",\n\t\t\t\t\t\"pnrstatus\": \"OK\",\n\t\t\t\t\t\"pnrname\": \"Test\",\n\t\t\t\t\t\"servicestatus\": \"Active\",\n\t\t\t\t\t\"servicebookingdate\": \"2018/05/22 10:33\",\n\t\t\t\t\t\"servicechangedate\": \"2018/05/22 10:33\",\n\t\t\t\t\t\"pnrbookingdate\": \"2018/05/22 10:32\",\n\t\t\t\t\t\"agencyname\": \"\",\n\t\t\t\t\t\"agencybranch\": null,\n\t\t\t\t\t\"agencycontact\": \"\",\n\t\t\t\t\t\"agencyphone\": \"\",\n\t\t\t\t\t\"agencycode\": null,\n\t\t\t\t\t\"agencyaccountingcode\": null,\n\t\t\t\t\t\"classcode\": \"M3\",\n\t\t\t\t\t\"paxtoken\": \"1C4552F8-1C56-4B2B-8F21-1F18372E36A0\",\n\t\t\t\t\t\"paxunq\": \"9870263-2236024\",\n\t\t\t\t\t\"inboundflight\": null,\n\t\t\t\t\t\"inboundflightorigin\": null,\n\t\t\t\t\t\"outboundflight\": null,\n\t\t\t\t\t\"outboundflightdestination\": null,\n\t\t\t\t\t\"accommodationfrom\": null,\n\t\t\t\t\t\"accommodationto\": null,\n\t\t\t\t\t\"remarks\": {\n\t\t\t\t\t\t\"remark\": [\n\t\t\t\t\t\t\t\"Test\"\n\t\t\t\t\t\t]\n\t\t\t\t\t},\n\t\t\t\t\t\"paxtype\": \"ADT\",\n\t\t\t\t\t\"seat\": \"\",\n\t\t\t\t\t\"sequencenumber\": \"00001\",\n\t\t\t\t\t\"tailnumber\": \"Boeing737\",\n\t\t\t\t\t\"status\": \"not checked-in\",\n\t\t\t\t\t\"ffnumber\": 0,\n\t\t\t\t\t\"phonenumber\": \"\",\n\t\t\t\t\t\"email\": \"\",\n\t\t\t\t\t\"eticketnumber\": 6096908,\n\t\t\t\t\t\"ticketstatus\": true,\n\t\t\t\t\t\"notes\": null,\n\t\t\t\t\t\"ssrs\": {\n\t\t\t\t\t\t\"ssr\": [\n\t\t\t\t\t\t\t\"XBAG-2 KG\"\n\t\t\t\t\t\t]\n\t\t\t\t\t},\n\t\t\t\t\t\"allowances\": {\n\t\t\t\t\t\t\"bag_kg\": 20\n\t\t\t\t\t},\n\t\t\t\t\t\"ancillaries\": {\n\t\t\t\t\t\t\"ancillary\": [\n\t\t\t\t\t\t\t\"Extra Baggage - Manta Air IBE-2 KG\"\n\t\t\t\t\t\t]\n\t\t\t\t\t},\n\t\t\t\t\t\"apisdata\": {\n\t\t\t\t\t\t\"nationality\": \"IL\",\n\t\t\t\t\t\t\"type\": \"PASSPORT\",\n\t\t\t\t\t\t\"passportname\": \"Raz Nagar\",\n\t\t\t\t\t\t\"docnumber\": \"\",\n\t\t\t\t\t\t\"passportissuer\": \"IL\",\n\t\t\t\t\t\t\"passportexpiry\": \"2022/08/12\",\n\t\t\t\t\t\t\"gender\": \"M\",\n\t\t\t\t\t\t\"dateofbirth\": \"1990/03/12\"\n\t\t\t\t\t},\n\t\t\t\t\t\"paxgender\": \"M\"\n\t\t\t\t}]\n\t\t\t}\n\t\t]\n\t}\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "flight": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "flightnumber": {
                                "type": "string",
                                "example": "100"
                              },
                              "flightid": {
                                "type": "integer",
                                "example": 2242667,
                                "default": 0
                              },
                              "flightdate": {
                                "type": "string",
                                "example": "2018/06/29"
                              },
                              "serviceload": {
                                "type": "integer",
                                "example": 45,
                                "default": 0
                              },
                              "opsremark": {
                                "type": "string",
                                "example": "Service remark"
                              },
                              "paxDetails": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "firstname": {
                                      "type": "string",
                                      "example": "JOHN"
                                    },
                                    "lastname": {
                                      "type": "string",
                                      "example": "SMITH"
                                    },
                                    "age": {
                                      "type": "integer",
                                      "example": 0,
                                      "default": 0
                                    },
                                    "paxtitle": {
                                      "type": "string",
                                      "example": "Mr."
                                    },
                                    "paxwithinfant": {
                                      "type": "boolean",
                                      "example": false,
                                      "default": true
                                    },
                                    "paxcountry": {
                                      "type": "string",
                                      "example": "Andorra"
                                    },
                                    "paxcountryiso": {
                                      "type": "string",
                                      "example": "AD"
                                    },
                                    "fromdestination": {
                                      "type": "string",
                                      "example": "DAR"
                                    },
                                    "todestination": {
                                      "type": "string",
                                      "example": "ZNZ"
                                    },
                                    "pnrref": {
                                      "type": "string",
                                      "example": "205CBCD"
                                    },
                                    "pnrstatus": {
                                      "type": "string",
                                      "example": "OK"
                                    },
                                    "pnrname": {
                                      "type": "string",
                                      "example": "32"
                                    },
                                    "servicestatus": {
                                      "type": "string",
                                      "example": "Active"
                                    },
                                    "servicebookingdate": {
                                      "type": "string",
                                      "example": "2018/05/22 10:28"
                                    },
                                    "servicechangedate": {
                                      "type": "string",
                                      "example": "2018/05/22 10:28"
                                    },
                                    "pnrbookingdate": {
                                      "type": "string",
                                      "example": "2018/05/22 10:28"
                                    },
                                    "agencyname": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "agencybranch": {},
                                    "agencycontact": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "agencyphone": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "agencycode": {},
                                    "agencyaccountingcode": {},
                                    "classcode": {
                                      "type": "string",
                                      "example": "Y"
                                    },
                                    "paxtoken": {
                                      "type": "string",
                                      "example": "1B4C04F7-7A25-46DD-BA4F-78F176234F11"
                                    },
                                    "paxunq": {
                                      "type": "string",
                                      "example": "9870199-2242667"
                                    },
                                    "inboundflight": {},
                                    "inboundflightorigin": {},
                                    "outboundflight": {},
                                    "outboundflightdestination": {},
                                    "accommodationfrom": {},
                                    "accommodationto": {},
                                    "remarks": {},
                                    "paxtype": {
                                      "type": "string",
                                      "example": "ADT"
                                    },
                                    "seat": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "sequencenumber": {
                                      "type": "string",
                                      "example": "00001"
                                    },
                                    "tailnumber": {
                                      "type": "string",
                                      "example": "433S"
                                    },
                                    "status": {
                                      "type": "string",
                                      "example": "checked-in"
                                    },
                                    "ffnumber": {
                                      "type": "integer",
                                      "example": 0,
                                      "default": 0
                                    },
                                    "phonenumber": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "email": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "eticketnumber": {
                                      "type": "integer",
                                      "example": 6157471,
                                      "default": 0
                                    },
                                    "ticketstatus": {
                                      "type": "boolean",
                                      "example": true,
                                      "default": true
                                    },
                                    "notes": {},
                                    "ssrs": {},
                                    "allowances": {
                                      "type": "object",
                                      "properties": {
                                        "bag_kg": {
                                          "type": "integer",
                                          "example": 20,
                                          "default": 0
                                        }
                                      }
                                    },
                                    "ancillaries": {},
                                    "apisdata": {
                                      "type": "object",
                                      "properties": {
                                        "nationality": {
                                          "type": "string",
                                          "example": "AD"
                                        },
                                        "type": {
                                          "type": "string",
                                          "example": "PASSPORT"
                                        },
                                        "passportname": {
                                          "type": "string",
                                          "example": "John Smith"
                                        },
                                        "docnumber": {
                                          "type": "string",
                                          "example": "32132132"
                                        },
                                        "passportissuer": {
                                          "type": "string",
                                          "example": "AF"
                                        },
                                        "passportexpiry": {
                                          "type": "string",
                                          "example": "2021/02/28"
                                        },
                                        "gender": {
                                          "type": "string",
                                          "example": "M"
                                        },
                                        "dateofbirth": {}
                                      }
                                    },
                                    "paxgender": {
                                      "type": "string",
                                      "example": "M"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>true</success>\n    <flight>\n        <flightnumber>100</flightnumber>\n        <flightid>2242667</flightid>\n        <flightdate>2018/06/29</flightdate>\n        <serviceload>45</serviceload>\n        <opsremark>Service remark</opsremark>\n        <paxDetails>\n            <firstname>JOHN</firstname>\n            <lastname>SMITH</lastname>\n            <age>0</age>\n            <paxtitle>Mr.</paxtitle>\n            <paxwithinfant>false</paxwithinfant>\n            <paxcountry>Andorra</paxcountry>\n            <paxcountryiso>AD</paxcountryiso>\n            <fromdestination>DAR</fromdestination>\n            <todestination>ZNZ</todestination>\n            <pnrref>205CBCD</pnrref>\n            <pnrstatus>OK</pnrstatus>\n            <pnrname>32</pnrname>\n            <servicestatus>Active</servicestatus>\n            <servicebookingdate>2018/05/22 10:28</servicebookingdate>\n            <servicechangedate>2018/05/22 10:28</servicechangedate>\n            <pnrbookingdate>2018/05/22 10:28</pnrbookingdate>\n            <agencyname />\n            <agencybranch />\n            <agencycontact />\n            <agencyphone />\n            <agencycode />\n            <agencyaccountingcode />\n            <classcode>Y</classcode>\n            <paxtoken>1B4C04F7-7A25-46DD-BA4F-78F176234F11</paxtoken>\n            <paxunq>9870199-2242667</paxunq>\n            <inboundflight />\n            <inboundflightorigin />\n            <outboundflight />\n            <outboundflightdestination />\n            <accommodationfrom />\n            <accommodationto />\n            <remarks />\n            <paxtype>ADT</paxtype>\n            <seat />\n            <sequencenumber>00001</sequencenumber>\n            <tailnumber>433S</tailnumber>\n            <status>checked-in</status>\n            <ffnumber>0</ffnumber>\n            <phonenumber />\n            <email />\n            <eticketnumber>6157471</eticketnumber>\n            <ticketstatus>true</ticketstatus>\n            <notes />\n            <ssrs />\n            <allowances>\n                <bag_kg>20</bag_kg>\n            </allowances>\n            <ancillaries />\n            <apisdata>\n                <nationality>AD</nationality>\n                <type>PASSPORT</type>\n                <passportname>John Smith</passportname>\n                <docnumber>32132132</docnumber>\n                <passportissuer>AF</passportissuer>\n                <passportexpiry>2021/02/28</passportexpiry>\n                <gender>M</gender>\n                <dateofbirth />\n            </apisdata>\n            <paxgender>M</paxgender>\n        </paxDetails>\n    </flight>\n    <flight>\n        <flightnumber>A304</flightnumber>\n        <flightid>2236024</flightid>\n        <flightdate>2018/06/30</flightdate>\n        <serviceload>110</serviceload>\n        <opsremark>Service remark</opsremark>\n        <paxDetails>\n            <firstname>RAZ</firstname>\n            <lastname>NAGAR</lastname>\n            <age>0</age>\n            <paxtitle>Mr.</paxtitle>\n            <paxwithinfant>false</paxwithinfant>\n            <paxcountry>Israel</paxcountry>\n            <paxcountryiso>IL</paxcountryiso>\n            <fromdestination>TLV</fromdestination>\n            <todestination>MAD</todestination>\n            <pnrref>20B8D03</pnrref>\n            <pnrstatus>OK</pnrstatus>\n            <pnrname>Test</pnrname>\n            <servicestatus>Active</servicestatus>\n            <servicebookingdate>2018/05/22 10:33</servicebookingdate>\n            <servicechangedate>2018/05/22 10:33</servicechangedate>\n            <pnrbookingdate>2018/05/22 10:32</pnrbookingdate>\n            <agencyname />\n            <agencybranch />\n            <agencycontact />\n            <agencyphone />\n            <agencycode />\n            <agencyaccountingcode />\n            <classcode>M3</classcode>\n            <paxtoken>1C4552F8-1C56-4B2B-8F21-1F18372E36A0</paxtoken>\n            <paxunq>9870263-2236024</paxunq>\n            <inboundflight />\n            <inboundflightorigin />\n            <outboundflight />\n            <outboundflightdestination />\n            <accommodationfrom />\n            <accommodationto />\n            <remarks>\n                <remark>Test</remark>\n            </remarks>\n            <paxtype>ADT</paxtype>\n            <seat />\n            <sequencenumber>00001</sequencenumber>\n            <tailnumber>Boeing737</tailnumber>\n            <status>not checked-in</status>\n            <ffnumber>0</ffnumber>\n            <phonenumber />\n            <email />\n            <eticketnumber>6096908</eticketnumber>\n            <ticketstatus>true</ticketstatus>\n            <notes />\n            <ssrs>\n                <ssr>XBAG-2 KG</ssr>\n            </ssrs>\n            <allowances>\n                <bag_kg>20</bag_kg>\n            </allowances>\n            <ancillaries>\n                <ancillary>Extra Baggage - Manta Air IBE-2 KG</ancillary>\n            </ancillaries>\n            <apisdata>\n                <nationality>IL</nationality>\n                <type>PASSPORT</type>\n                <passportname>Raz Nagar</passportname>\n                <docnumber />\n                <passportissuer>IL</passportissuer>\n                <passportexpiry>2022/08/12</passportexpiry>\n                <gender>M</gender>\n                <dateofbirth>1990/03/12</dateofbirth>\n            </apisdata>\n            <paxgender>M</paxgender>\n        </paxDetails>\n    </flight>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<aerocrs>\n    <parms>\n        <shownonticketed>false</shownonticketed>\n        <generatetokens>false</generatetokens>\n        <flights>\n            <flight>\n                <flightnumber>100</flightnumber>\n                <flightdate>2018/06/29</flightdate>\n            </flight>\n            <flight>\n                <flightnumber>A304</flightnumber>\n                <flightdate>2018/06/30</flightdate>\n            </flight>\n        </flights>\n    </parms>\n</aerocrs>",
              "name": "XML"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```